#*****************************************************************************
#* File: lua/modules/ui/game/construction.lua
#* Author: Chris Blackwell / Ted Snook
#* Summary: Construction management UI
#*
#* Copyright  2005 Gas Powered Games, Inc.  All rights reserved.
#*****************************************************************************

function GetEnhancementPrefix(unitID, iconID)
    local prefix = ''
    if string.sub(unitID, 2, 2) == 'a' then
        prefix = '/game/aeon-enhancements/'..iconID
        filespec = prefix..'_btn_up.dds'
        if filespec == UIUtil.UIFile(prefix..'_btn_up.dds') then
        	prefix = '/Mods/Commanders Revenges FA UEF,Cybran,Aeon/Customicons/aeon-enhancements/'..iconID
        end
    elseif string.sub(unitID, 2, 2) == 'e' then
        prefix = '/game/uef-enhancements/'..iconID
        filespec = prefix..'_btn_up.dds'
        if filespec == UIUtil.UIFile(prefix..'_btn_up.dds') then
        	prefix = '/Mods/Commanders Revenges FA UEF,Cybran,Aeon/Customicons/uef-enhancements/'..iconID
        end
    elseif string.sub(unitID, 2, 2) == 'r' then
        prefix = '/game/cybran-enhancements/'..iconID
        filespec = prefix..'_btn_up.dds'
        if filespec == UIUtil.UIFile(prefix..'_btn_up.dds') then
        	prefix = '/Mods/Commanders Revenges FA UEF,Cybran,Aeon/Customicons/cybran-enhancements/'..iconID
        end
    elseif string.sub(unitID, 2, 2) == 's' then
        prefix = '/game/seraphim-enhancements/'..iconID
        filespec = prefix..'_btn_up.dds'
        if filespec == UIUtil.UIFile(prefix..'_btn_up.dds') then
        	prefix = '/Mods/Commanders Revenges FA UEF,Cybran,Aeon/Customicons/seraphim-enhancements/'..iconID
        end
    end
    return prefix
end